package com.yifu.cloud.plus.v1.yifu.insurances.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 商险结算表
 * @TableName t_insurance_settle
 */
public class TInsuranceSettle implements Serializable {
    /**
     * 主键
     */
    private String id;

    /**
     * 商险明细id
     */
    private String insDetailId;

    /**
     * 结算状态
     */
    private String settleHandleStatus;

    /**
     * 结算类型 (1、单独结算 2、与薪资合并结算)
     */
    private Integer settleType;

    /**
     * 实际保费
     */
    private BigDecimal actualPremium;

    /**
     * 预估保费
     */
    private BigDecimal estimatePremium;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 实际费用推送标识 1是 0否
     */
    private Integer isActualPush;

    /**
     * 预估费用推送标识 1是 0否
     */
    private Integer isEstimatePush;

    /**
     * 实际保费推送时间
     */
    private Date actualPushTime;

    /**
     * 预估保费推送时间
     */
    private Date estimatePushTime;

    /**
     * 结算完成时间
     */
    private Date settleDoneTime;

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 主键
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 商险明细id
     */
    public String getInsDetailId() {
        return insDetailId;
    }

    /**
     * 商险明细id
     */
    public void setInsDetailId(String insDetailId) {
        this.insDetailId = insDetailId;
    }

    /**
     * 结算状态
     */
    public String getSettleHandleStatus() {
        return settleHandleStatus;
    }

    /**
     * 结算状态
     */
    public void setSettleHandleStatus(String settleHandleStatus) {
        this.settleHandleStatus = settleHandleStatus;
    }

    /**
     * 结算类型 (1、单独结算 2、与薪资合并结算)
     */
    public Integer getSettleType() {
        return settleType;
    }

    /**
     * 结算类型 (1、单独结算 2、与薪资合并结算)
     */
    public void setSettleType(Integer settleType) {
        this.settleType = settleType;
    }

    /**
     * 实际保费
     */
    public BigDecimal getActualPremium() {
        return actualPremium;
    }

    /**
     * 实际保费
     */
    public void setActualPremium(BigDecimal actualPremium) {
        this.actualPremium = actualPremium;
    }

    /**
     * 预估保费
     */
    public BigDecimal getEstimatePremium() {
        return estimatePremium;
    }

    /**
     * 预估保费
     */
    public void setEstimatePremium(BigDecimal estimatePremium) {
        this.estimatePremium = estimatePremium;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 实际费用推送标识 1是 0否
     */
    public Integer getIsActualPush() {
        return isActualPush;
    }

    /**
     * 实际费用推送标识 1是 0否
     */
    public void setIsActualPush(Integer isActualPush) {
        this.isActualPush = isActualPush;
    }

    /**
     * 预估费用推送标识 1是 0否
     */
    public Integer getIsEstimatePush() {
        return isEstimatePush;
    }

    /**
     * 预估费用推送标识 1是 0否
     */
    public void setIsEstimatePush(Integer isEstimatePush) {
        this.isEstimatePush = isEstimatePush;
    }

    /**
     * 实际保费推送时间
     */
    public Date getActualPushTime() {
        return actualPushTime;
    }

    /**
     * 实际保费推送时间
     */
    public void setActualPushTime(Date actualPushTime) {
        this.actualPushTime = actualPushTime;
    }

    /**
     * 预估保费推送时间
     */
    public Date getEstimatePushTime() {
        return estimatePushTime;
    }

    /**
     * 预估保费推送时间
     */
    public void setEstimatePushTime(Date estimatePushTime) {
        this.estimatePushTime = estimatePushTime;
    }

    /**
     * 结算完成时间
     */
    public Date getSettleDoneTime() {
        return settleDoneTime;
    }

    /**
     * 结算完成时间
     */
    public void setSettleDoneTime(Date settleDoneTime) {
        this.settleDoneTime = settleDoneTime;
    }
}